GOLF(2gg)

NAME
read-message - (messages)

PURPOSE
Read key/value from message.

SYNTAX

        read-message <message> \
            key <key> \
            value <value> \
            [ status <status>

DESCRIPTION
read-message reads strings <key> (in "key" clause) and <value> (in "value" clause) from <message>, which must have been created with new-message.

The reading of key/value pairs starts from the beginning of message and proceeds sequentially forward. Once a key/value pair is read it cannot be read again.

<status> number (in "status" clause) will be GG_OKAY for a successful read, GG_ERR_FORMAT if message is not in SEMI format or GG_ERR_LENGTH if message isn't of proper length.

Once a message is read from, it cannot be written to (see write-message).

EXAMPLES
See new-message.

SEE ALSO
 Messages

get-message new-message read-message SEMI write-message See all documentation